# 使用openjdk:8-jre为基础镜像
FROM openjdk:8-jre
# 拷贝jar文件
COPY bootstrap-2.0.jar my.jar
# 运行jar,$JAVA_OPTS变量启动时指定相关环境参数
ENTRYPOINT ["java","-Dspring.profiles.active=test","-jar","my.jar"]
# 暴露端口
EXPOSE 8888

# 1. (构建镜像) 将jar文件复制到此位置
# docker rmi vike
# docker build -t xxxxxx-java .

# 2. (运行容器) --link为连接的mysql redis容器
# docker run --name xxx-java -d -p 8888:8888 --link mysql57 --link redis6  xxxxxx-java

